varying float pos;

void main()
{
  // gradient for moment2
  vec2 d;
  d.x = dFdx( pos );
  d.y = dFdy( pos );

  float moment1 =  exp(80.0 * pos); //pos;//
  float moment2 = moment1 * moment1 + 0.25 * dot( d, d );

  gl_FragColor = vec4( moment1, moment2, 0.0, 1.0 );// vec4( luma, luma, luma, 1.0 );
}